Data Structures

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Structures
Here are the data structures with brief descriptions:
[detail level 12]

C __attribute__ |
C _Action_Area_Data |
C _Atom_Item |
C _Box |
C _Calc_Job |
C _Color |
C _Color_Bar_Data |
C _Content_Info |
C _Ecore_Audio_Vio |
C _Ecore_Axis |
C _Ecore_Buffer_Backend | Structure used when initializing Ecore Buffer Backend
C _Ecore_Cocoa_Event_Window_Destroy | Data available when a Cocoa window is destroyed
C _Ecore_Cocoa_Event_Window_Focused | Data available when a Cocoa window receives focus
C _Ecore_Cocoa_Event_Window_Resize_Request | Data available when a window is resized
C _Ecore_Cocoa_Event_Window_Unfocused | Data available when a Cocoa window losrs focus
C _ecore_cocoa_keys_s |
C _Ecore_Con_Curl |
C _Ecore_Con_Event_Client_Add | Used as the `data` param for the ECORE_CON_EVENT_CLIENT_ADD event
C _Ecore_Con_Event_Client_Data | Used as the `data` param for the ECORE_CON_EVENT_CLIENT_DATA event
C _Ecore_Con_Event_Client_Del | Used as the `data` param for the ECORE_CON_EVENT_CLIENT_DEL event
C _Ecore_Con_Event_Client_Error | Used as the `data` param for the ECORE_CON_EVENT_CLIENT_ERROR event
C _Ecore_Con_Event_Client_Upgrade | Used as the `data` param for the ECORE_CON_EVENT_CLIENT_UPGRADE event
C _Ecore_Con_Event_Client_Write | Used as the `data` param for the ECORE_CON_EVENT_CLIENT_WRITE event
C _Ecore_Con_Event_Proxy_Bind | Used as the `data` param for the ECORE_CON_EVENT_PROXY_BIND event
C _Ecore_Con_Event_Server_Add | Used as the `data` param for the ECORE_CON_EVENT_SERVER_ADD event
C _Ecore_Con_Event_Server_Data | Used as the `data` param for the ECORE_CON_EVENT_SERVER_DATA event
C _Ecore_Con_Event_Server_Del | Used as the `data` param for the ECORE_CON_EVENT_SERVER_DEL event
C _Ecore_Con_Event_Server_Error | Used as the `data` param for the ECORE_CON_EVENT_SERVER_ERROR event
C _Ecore_Con_Event_Server_Upgrade | Used as the `data` param for the ECORE_CON_EVENT_SERVER_UPGRADE event
C _Ecore_Con_Event_Server_Write | Used as the `data` param for the ECORE_CON_EVENT_SERVER_WRITE event
C _Ecore_Con_Event_Url_Complete | Used as the `data` param for the ECORE_CON_EVENT_URL_COMPLETE event
C _Ecore_Con_Event_Url_Data | Used as the `data` param for the ECORE_CON_EVENT_URL_DATA event
C _Ecore_Con_Event_Url_Progress | Used as the `data` param for the ECORE_CON_EVENT_URL_PROGRESS event
C _Ecore_Drm2_Context |
C _Ecore_Drm2_Event_Activate |
C _Ecore_Drm2_Event_Output_Changed |
C _Ecore_Drm_Device |
C _Ecore_Drm_Event_Activate |
C _Ecore_Drm_Event_Output |
C _Ecore_Drm_Fb |
C _Ecore_Drm_Output_Mode |
C _Ecore_Evas_Engine_Buffer_Data |
C _Ecore_Evas_Interface_Cocoa |
C _Ecore_Evas_Interface_Drm |
C _Ecore_Evas_Interface_Extn |
C _Ecore_Evas_Interface_Gl_X11 |
C _Ecore_Evas_Interface_Software_X11 |
C _Ecore_Evas_Interface_Wayland |
C _Ecore_Evas_Interface_Win32 |
C _Ecore_Evas_Interface_X11 |
C _Ecore_Event_Axis_Update |
C _Ecore_Event_Joystic_Axis | Contains information about a joystick axis event
C _Ecore_Event_Joystic_Button | Contains information about a joystick button event
C _Ecore_Event_Joystic_Event_Type | Contains information about a joystick event type
C _Ecore_Event_Joystick | Contains information about a joystick event
C _Ecore_Event_Key | Contains information about an Ecore keyboard event
C _Ecore_Event_Modifiers | Contains information about an Ecore event modifier
C _Ecore_Event_Mouse_Button | Contains information about an Ecore mouse button event
C _Ecore_Event_Mouse_IO | Contains information about an Ecore mouse input/output event
C _Ecore_Event_Mouse_Move | Contains information about an Ecore mouse move event
C _Ecore_Event_Mouse_Wheel | Contains information about an Ecore mouse wheel event
C _Ecore_Event_Signal_Exit | A structure that stores information of an Exit request event
C _Ecore_Event_Signal_Hup | A structure that stores information of a Hup signal event
C _Ecore_Event_Signal_Power | A structure that stores information of a Power event
C _Ecore_Event_Signal_Realtime | A structure that stores information of a Realtime event
C _Ecore_Event_Signal_User | A structure that stores information of a User signal event
C _Ecore_Exe_Event_Add | Definition for a structure that stores information of a Process add event
C _Ecore_Exe_Event_Data | Ecore exe event data structure
C _Ecore_Exe_Event_Data_Line | A structure which stores information on lines data from a child process
C _Ecore_Exe_Event_Del | Definition for a structure that stores information of a Process exit event
C _Ecore_Getopt | Structure that contains information on all command line options
C _Ecore_Getopt_Desc | Structure that describe an option of the command line
C _Ecore_Getopt_Desc_Callback | Structure used when action is ECORE_GETOPT_ACTION_CALLBACK
C _Ecore_Getopt_Desc_Store | Structure used when action is ECORE_GETOPT_ACTION_STORE
C _Ecore_Getopt_Value | Union listing the types of parameters that can take Getopt values
C _Ecore_IMF_Context_Class | Structure used when creating a new Input Method Context
C _Ecore_IMF_Context_Info | A IMF structure containing context information
C _Ecore_IMF_Event | A union of IMF events
C _Ecore_IMF_Event_Commit | The structure type used with the Commit Input Method event
C _Ecore_IMF_Event_Commit_Content | The structure type used with the Commit_Content Input Method event
C _Ecore_IMF_Event_Delete_Surrounding | The structure type used with the Delete_Surrounding Input Method event
C _Ecore_IMF_Event_Key_Down | The structure type used with the Key_Down event
C _Ecore_IMF_Event_Key_Up | The structure type used with the Key_Up event
C _Ecore_IMF_Event_Mouse_Down | The structure type used with the Mouse_Down event
C _Ecore_IMF_Event_Mouse_In | The structure type used with the Mouse_In event
C _Ecore_IMF_Event_Mouse_Move | The structure type used with the Mouse_Move event
C _Ecore_IMF_Event_Mouse_Out | The structure type used with the Mouse_Out event
C _Ecore_IMF_Event_Mouse_Up | The structure type used with the Mouse_Up event
C _Ecore_IMF_Event_Mouse_Wheel | The structure type used with the Mouse_Wheel event
C _Ecore_IMF_Event_Preedit_Changed | The structure type used with the Preedit_Changed Input Method event
C _Ecore_IMF_Event_Preedit_End | The structure type used with the Preedit_End Input Method event
C _Ecore_IMF_Event_Preedit_Start | The structure type used with the Preedit_Start Input Method event
C _Ecore_IMF_Event_Selection | The structure type used with the Selection Input Method event
C _Ecore_IMF_Preedit_Attr | Structure that contains preedit attribute information
C _Ecore_Ipc_Event_Client_Add | An IPC structure for client_add event
C _Ecore_Ipc_Event_Client_Data | An IPC structure for client_data event
C _Ecore_Ipc_Event_Client_Del | An IPC structure for client_del event
C _Ecore_Ipc_Event_Server_Add | An IPC structure for server_add event
C _Ecore_Ipc_Event_Server_Data | An IPC structure for server_data event
C _Ecore_Ipc_Event_Server_Del | An IPC structure for server_del event
C _Ecore_Sdl_Event_Key_Down | SDL Key Down event
C _Ecore_Sdl_Event_Key_Up | SDL Key Up event
C _Ecore_Sdl_Event_Mouse_Button_Down | SDL Mouse Down event
C _Ecore_Sdl_Event_Mouse_Button_Up | SDL Mouse Up event
C _Ecore_Sdl_Event_Mouse_Move | SDL Mouse Move event
C _Ecore_Sdl_Event_Mouse_Wheel | SDL Mouse Wheel event
C _Ecore_Sdl_Event_Video_Resize |
C _Ecore_Sdl_Event_Window |
C _ecore_sdl_keys_s |
C _Ecore_Version |
C _Ecore_Win32_Event_Mouse_In | Event sent when the mouse enters the window
C _Ecore_Win32_Event_Mouse_Out | Event sent when the mouse leaves the window
C _Ecore_Win32_Event_Selection_Clear | Event sent when the content of the clipboard has been removed
C _Ecore_Win32_Event_Selection_Notify | Event sent when the content of the clipboard has been added
C _Ecore_Win32_Event_Window_Configure | Event sent when the window is configured
C _Ecore_Win32_Event_Window_Create | Event sent when the window is created
C _Ecore_Win32_Event_Window_Damage | Event sent when the window is damaged
C _Ecore_Win32_Event_Window_Delete_Request | Event sent when the window is deleted
C _Ecore_Win32_Event_Window_Destroy | Event sent when the window is destroyed
C _Ecore_Win32_Event_Window_Focus_In | Event sent when the window gets the focus
C _Ecore_Win32_Event_Window_Focus_Out | Event sent when the window looses the focus
C _Ecore_Win32_Event_Window_Hide | Event sent when the window is hidden
C _Ecore_Win32_Event_Window_Property | Event sent when the window properties are changed
C _Ecore_Win32_Event_Window_Resize | Event sent when the window is resized
C _Ecore_Win32_Event_Window_Show | Event sent when the window is shown
C _Ecore_Wl2_Event_Aux_Hint_Allowed |
C _Ecore_Wl2_Event_Aux_Hint_Supported |
C _Ecore_Wl2_Event_Connection |
C _Ecore_Wl2_Event_Data_Source_Event |
C _Ecore_Wl2_Event_Data_Source_Send |
C _Ecore_Wl2_Event_Data_Source_Target |
C _Ecore_Wl2_Event_Device |
C _Ecore_Wl2_Event_Dnd_Drop |
C _Ecore_Wl2_Event_Dnd_End |
C _Ecore_Wl2_Event_Dnd_Enter |
C _Ecore_Wl2_Event_Dnd_Leave |
C _Ecore_Wl2_Event_Dnd_Motion |
C _Ecore_Wl2_Event_Focus_In |
C _Ecore_Wl2_Event_Focus_Out |
C _Ecore_Wl2_Event_Global |
C _Ecore_Wl2_Event_Input_Keymap_Changed |
C _Ecore_Wl2_Event_Offer_Data_Ready |
C _Ecore_Wl2_Event_Output_Transform |
C _Ecore_Wl2_Event_Seat_Capabilities |
C _Ecore_Wl2_Event_Seat_Name |
C _Ecore_Wl2_Event_Sync_Done |
C _Ecore_Wl2_Event_Window_Activate |
C _Ecore_Wl2_Event_Window_Common |
C _Ecore_Wl2_Event_Window_Configure |
C _Ecore_Wl2_Event_Window_Configure_Complete |
C _Ecore_Wl2_Event_Window_Deactivate |
C _Ecore_Wl2_Event_Window_Hide |
C _Ecore_Wl2_Event_Window_Iconify_State_Change |
C _Ecore_Wl2_Event_Window_Rotation |
C _Ecore_Wl2_Event_Window_Show |
C _Ecore_Wl2_Global |
C _Ecore_Wl2_Surface_Interface |
C _Ecore_Wl_Event_Data_Source_Cancelled |
C _Ecore_Wl_Event_Data_Source_Send |
C _Ecore_Wl_Event_Data_Source_Target |
C _Ecore_Wl_Event_Dnd_Drop |
C _Ecore_Wl_Event_Dnd_End |
C _Ecore_Wl_Event_Dnd_Enter |
C _Ecore_Wl_Event_Dnd_Leave |
C _Ecore_Wl_Event_Dnd_Position |
C _Ecore_Wl_Event_Focus_In |
C _Ecore_Wl_Event_Focus_Out |
C _Ecore_Wl_Event_Interfaces_Bound |
C _Ecore_Wl_Event_Mouse_In |
C _Ecore_Wl_Event_Mouse_Out |
C _Ecore_Wl_Event_Selection_Data_Ready |
C _Ecore_Wl_Event_Window_Configure |
C _Ecore_Wl_Global |
C _Ecore_X_Event_Client_Message |
C _Ecore_X_Event_Damage |
C _Ecore_X_Event_Desktop_Change |
C _Ecore_X_Event_Fixes_Selection_Notify |
C _Ecore_X_Event_Frame_Extents_Request |
C _Ecore_X_Event_Generic |
C _Ecore_X_Event_Gesture_Notify_Flick |
C _Ecore_X_Event_Gesture_Notify_Group |
C _Ecore_X_Event_Gesture_Notify_Hold |
C _Ecore_X_Event_Gesture_Notify_Pan |
C _Ecore_X_Event_Gesture_Notify_PinchRotation |
C _Ecore_X_Event_Gesture_Notify_Tap |
C _Ecore_X_Event_Gesture_Notify_TapNHold |
C _Ecore_X_Event_Mapping_Change |
C _Ecore_X_Event_Mouse_In |
C _Ecore_X_Event_Mouse_Out |
C _Ecore_X_Event_Ping |
C _Ecore_X_Event_Randr_Crtc_Change |
C _Ecore_X_Event_Randr_Output_Change |
C _Ecore_X_Event_Randr_Output_Property_Notify |
C _Ecore_X_Event_Screen_Change |
C _Ecore_X_Event_Screensaver_Notify |
C _Ecore_X_Event_Selection_Clear |
C _Ecore_X_Event_Selection_Notify |
C _Ecore_X_Event_Selection_Request |
C _Ecore_X_Event_Startup_Sequence |
C _Ecore_X_Event_Sync_Alarm |
C _Ecore_X_Event_Sync_Counter |
C _Ecore_X_Event_Window_Colormap |
C _Ecore_X_Event_Window_Configure |
C _Ecore_X_Event_Window_Configure_Request |
C _Ecore_X_Event_Window_Create |
C _Ecore_X_Event_Window_Damage |
C _Ecore_X_Event_Window_Delete_Request |
C _Ecore_X_Event_Window_Destroy |
C _Ecore_X_Event_Window_Focus_In |
C _Ecore_X_Event_Window_Focus_Out |
C _Ecore_X_Event_Window_Gravity |
C _Ecore_X_Event_Window_Hide |
C _Ecore_X_Event_Window_Keymap |
C _Ecore_X_Event_Window_Move_Resize_Request |
C _Ecore_X_Event_Window_Prop_Client_Machine_Change |
C _Ecore_X_Event_Window_Prop_Desktop_Change |
C _Ecore_X_Event_Window_Prop_Icon_Name_Change |
C _Ecore_X_Event_Window_Prop_Name_Class_Change |
C _Ecore_X_Event_Window_Prop_Pid_Change |
C _Ecore_X_Event_Window_Prop_Title_Change |
C _Ecore_X_Event_Window_Prop_Visible_Icon_Name_Change |
C _Ecore_X_Event_Window_Prop_Visible_Title_Change |
C _Ecore_X_Event_Window_Property |
C _Ecore_X_Event_Window_Reparent |
C _Ecore_X_Event_Window_Resize_Request |
C _Ecore_X_Event_Window_Shape |
C _Ecore_X_Event_Window_Show |
C _Ecore_X_Event_Window_Show_Request |
C _Ecore_X_Event_Window_Stack |
C _Ecore_X_Event_Window_Stack_Request |
C _Ecore_X_Event_Window_State_Request |
C _Ecore_X_Event_Window_Visibility_Change |
C _Ecore_X_Event_Xdnd_Drop |
C _Ecore_X_Event_Xdnd_Enter |
C _Ecore_X_Event_Xdnd_Finished |
C _Ecore_X_Event_Xdnd_Leave |
C _Ecore_X_Event_Xdnd_Position |
C _Ecore_X_Event_Xdnd_Status |
C _Ecore_X_Event_Xkb |
C _Ecore_X_Icon |
C _Ecore_X_Randr_Crtc_Gamma_Info |
C _Ecore_X_Randr_Crtc_Info |
C _Ecore_X_Randr_Mode_Info |
C _Ecore_X_Randr_Screen_Size |
C _Ecore_X_Randr_Screen_Size_MM |
C _Ecore_X_Rectangle |
C _Ecore_X_Selection_Data |
C _Ecore_X_Selection_Data_Files |
C _Ecore_X_Selection_Data_Targets |
C _Ecore_X_Selection_Data_Text |
C _Ecore_X_Selection_Data_X_Moz_Url |
C _Ecore_X_Version |
C _Ecore_X_Window_Attributes |
C _Ecore_X_Xdnd_Position |
C _Ector_Buffer_Data |
C _Ector_GL_API |
C _Ector_Software_Buffer_Base_Data |
C _Edje_Color_Class |
C _Edje_Data | A structure that stores a key/value tuple
C _Edje_Edit_Limit |
C _Edje_Edit_Script_Error |
C _Edje_Entry_Change_Info |
C _Edje_External_Param | Struct that holds parameters for parts of type EXTERNAL
C _Edje_External_Param_Info | Struct holding information about an EXTERNAL part's parameters
C _Edje_External_Type | Information about an external type to be used
C _Edje_External_Type_Info | Convenience struct used to mass-register types of EXTERNAL objects
C _Edje_Message_Float | Structure passed as value on EDJE_MESSAGE_FLOAT messages
C _Edje_Message_Float_Set | Structure passed as value on EDJE_MESSAGE_FLOAT_SET messages
C _Edje_Message_Int | Structure passed as value on EDJE_MESSAGE_INT messages
C _Edje_Message_Int_Set | Structure passed as value on EDJE_MESSAGE_INT_SET messages
C _Edje_Message_String | Structure passed as value on EDJE_MESSAGE_STRING messages
C _Edje_Message_String_Float | Structure passed as value on EDJE_MESSAGE_STRING_FLOAT messages
C _Edje_Message_String_Float_Set | Structure passed as value on EDJE_MESSAGE_STRING_FLOAT_SET messages
C _Edje_Message_String_Int | Structure passed as value on EDJE_MESSAGE_STRING_INT messages
C _Edje_Message_String_Int_Set | Structure passed as value on EDJE_MESSAGE_STRING_INT_SET messages
C _Edje_Message_String_Set | Structure passed as value on EDJE_MESSAGE_STRING_SET messages
C _Edje_Part_Image_Use |
C _Edje_Signal_Data |
C _Edje_Size_Class |
C _Edje_Text_Class |
C _Edje_Version |
C _Eet_Data_Descriptor_Class | Instructs Eet about memory management for different needs under serialization and parse process
C _Eet_Entry |
C _Eet_Node_Data | Contains an union that can fit any kind of node
C _Eet_Node_Walk | Describes how to walk trees of Eet_Node
C _Eet_Version |
C _Eeze_Event_Disk |
C _Eeze_Event_Disk_Error |
C _Eeze_Sensor_Obj |
C _Eeze_Version |
C _Efl_Access_Action_Data |
C _Efl_Canvas_Animation_Player_Event_Running |
C _Efl_Canvas_Layout_Part_Data |
C _Efl_Canvas_Object_Animation_Event |
C _Efl_Canvas_Surface_Data |
C _Efl_Event_Animator_Tick | EFL event animator tick data structure
C _Efl_Gfx_Vg_Value_Provider_Data |
C _Efl_Input_Focus_Data |
C _Efl_Input_Hold_Data |
C _Efl_Input_Key_Data |
C _Efl_Input_Pointer_Data |
C _Efl_Text_Attribute_Handle |
C _Efl_Text_Cursor_Handle |
C _Efl_Ui_Container_Item_Hints |
C _Efl_Ui_Container_Layout_Calc |
C _Efl_Ui_Flip_Data |
C _Efl_Ui_Frame_Data |
C _Efl_Ui_Image_Data |
C _Efl_Ui_Layout_Data | Base widget smart data extended with layout instance data
C _Efl_Ui_Pan_Data |
C _Efl_Ui_Scroll_Manager_Data |
C _Efl_Ui_Scroller_Data |
C _Efl_Ui_Theme_Data |
C _Efl_Ui_Widget_Focus_State | All relevant fields needed for the current state of focus registeration
C _Efreet_Desktop | Efreet_Desktop
C _Efreet_Desktop_Action | Efreet_Desktop_Action
C _Efreet_Event_Cache_Update | Efreet_Event_Cache_Update
C _Efreet_Version |
C _Eina_Accessor | Structure to provide random access to data structures
C _Eina_Array | Type for an array of data
C _Eina_Bezier |
C _Eina_Clist | The structure type for a compact list type
C _Eina_Evlog_Buf |
C _Eina_Evlog_Item |
C _Eina_File | This is the underlying data structure that represents a file in Eina
C _Eina_File_Direct_Info | The structure to store information of a path
C _Eina_File_Line | The structure to store information of a line
C _Eina_File_Map | This represents a memory mapped region of a file
C _Eina_Future_Cb_Console_Desc | A struct used to define the prefix and suffix to be printed along side the a future value
C _Eina_Future_Cb_Easy_Desc | A struct with callbacks to be used by eina_future_cb_easy_from_desc() and eina_future_cb_easy()
C _Eina_Future_Cb_Log_Desc | This struct is used by eina_future_cb_log_from_desc() and its contents will be routed to eina_log_print() along side the future value
C _Eina_Future_Desc | A struct used to define a callback and data for a future
C _Eina_Future_Race_Result | The struct that is used to store the race result
C _Eina_Future_Schedule_Entry | A struct that represents an scheduled event
C _Eina_Future_Scheduler | This struct is used as a bridge between Eina and the future scheduler
C _Eina_Hash_Tuple | Data for a hash table of key/value pairs
C _Eina_Inarray | Inline array structure
C _Eina_Inlist | Inlined list type
C _Eina_Iterator | Structure of an iterator
C _Eina_Lines_Iterator | This represents a line iterator a file
C _Eina_List | Type for a generic double linked list
C _Eina_List_Accounting | Cache used to store the last element of a list and the number of elements, for fast access
C _Eina_Log_Domain | The domain used for logging
C _Eina_Matrix2 |
C _Eina_Matrix3 | A 3x3 floating point matrix
C _Eina_Matrix3_F16p16 |
C _Eina_Matrix4 |
C _Eina_Memory_Entry |
C _Eina_Memory_Table |
C _Eina_Mempool |
C _Eina_Mempool_Backend |
C _Eina_Mempool_Backend_ABI1 |
C _Eina_Mempool_Backend_ABI2 |
C _Eina_Point_3D |
C _Eina_Point_3D_F16p16 |
C _Eina_Position2D | A 2D position in pixel coordinates
C _Eina_Quad | Quadrangle definition
C _Eina_Quaternion |
C _Eina_Quaternion_F16p16 |
C _Eina_Range | A Int range
C _Eina_Rbtree |
C _Eina_Rect |
C _Eina_Rectangle |
C _Eina_Rw_Slice | Defines a read-and-write able memory region
C _Eina_Simple_XML_Attribute |
C _Eina_Simple_XML_Node |
C _Eina_Simple_XML_Node_Data |
C _Eina_Simple_XML_Node_Tag |
C _Eina_Size2D | A 2D size in pixel coordinates
C _Eina_Slice | Defines a read-only memory region
C _Eina_Stat | The structure to store some file statistics
C _Eina_Strbuf | String buffer to facilitate string operations
C _Eina_Thread_Queue_Msg |
C _Eina_Thread_Queue_Msg_Sub |
C _Eina_Trash | The structure type for a generic container of an unused allocated pointer
C _Eina_Value | Defines the contents of a value
C _Eina_Value_Array | Used to store the array and its subtype
C _Eina_Value_Blob | Used to store the blob information and management operations
C _Eina_Value_Blob_Operations | How to manage blob
C _Eina_Value_Hash | Used to store the hash and its subtype
C _Eina_Value_List | Used to store the list and its subtype
C _Eina_Value_Optional_Inner |
C _Eina_Value_Optional_Outer |
C _Eina_Value_Struct | Used to store the memory and its description
C _Eina_Value_Struct_Desc | Describes the struct by listing its size, members and operations
C _Eina_Value_Struct_Member | Describes a single member of struct
C _Eina_Value_Struct_Operations | How to manage struct
C _Eina_Value_Type | API to access values
C _Eina_Value_Union | All possible value types
C _Eina_Vector2 |
C _Eina_Vector3 |
C _Eina_Version | The version of Eina
C _Eina_Vpath_Interface_User |
C _Eina_Xattr |
C _Eio_Monitor_Error |
C _Eio_Monitor_Event |
C _Eio_Progress | Represents the current progress of the operation
C _Eio_Sentry_Event | Wraps the data about a monitor event on a file
C _Eio_Version |
C _Eldbus_Arg_Info |
C _Eldbus_Introspection_Annotation | DBus Annotation
C _Eldbus_Introspection_Argument | DBus Argument
C _Eldbus_Introspection_Interface | DBus Interface
C _Eldbus_Introspection_Method | DBus Method
C _Eldbus_Introspection_Node | DBus Node
C _Eldbus_Introspection_Property | DBus Property
C _Eldbus_Introspection_Signal | DBus Signal
C _Eldbus_Method |
C _Eldbus_Method2 |
C _Eldbus_Object_Event_Interface_Added |
C _Eldbus_Object_Event_Interface_Removed |
C _Eldbus_Object_Event_Property_Changed |
C _Eldbus_Object_Event_Property_Removed |
C _Eldbus_Property |
C _Eldbus_Proxy_Event_Property_Changed |
C _Eldbus_Proxy_Event_Property_Loaded |
C _Eldbus_Proxy_Event_Property_Removed |
C _Eldbus_Service_Interface_Desc |
C _Eldbus_Service_Interface_Desc2 |
C _Eldbus_Signal |
C _Eldbus_Version |
C _Elm_Access_Action_Info |
C _Elm_Access_Info |
C _Elm_Access_Item |
C _Elm_Action |
C _Elm_Actionslider_Data |
C _Elm_Box_Data |
C _Elm_Box_Transition |
C _Elm_Bubble_Data |
C _Elm_Calendar_Data |
C _Elm_Calendar_Mark |
C _Elm_Clock_Data |
C _Elm_Code |
C _Elm_Code_Config |
C _Elm_Code_File |
C _Elm_Code_Line |
C _Elm_Code_Token |
C _Elm_Color_Class |
C _Elm_Color_Item_Data |
C _Elm_Color_Name |
C _Elm_Color_Overlay |
C _Elm_Color_RGBA |
C _Elm_Colorselector_Data |
C _Elm_Combobox_Data |
C _Elm_Config |
C _Elm_Config_Binding_Key |
C _Elm_Config_Binding_Modifier |
C _Elm_Config_Bindings_Widget |
C _Elm_Config_Flags |
C _Elm_Conformant_Data |
C _Elm_Ctxpopup_Data |
C _Elm_Ctxpopup_Item_Data |
C _Elm_Custom_Palette |
C _Elm_Dayselector_Data |
C _Elm_Dayselector_Item_Data |
C _Elm_Diskselector_Data |
C _Elm_Diskselector_Item_Data |
C _Elm_Drag_User_Info |
C _Elm_Entry_Anchor_Hover_Info | The info sent in the callback for "anchor,clicked" signals emitted by the Anchor_Hover widget
C _Elm_Entry_Anchor_Info | The info sent in the callback for the "anchor,clicked" signals emitted by entries
C _Elm_Entry_Context_Menu_Item |
C _Elm_Entry_Data |
C _Elm_Entry_Filter_Accept_Set | Data for the elm_entry_filter_accept_set() entry filter
C _Elm_Entry_Filter_Limit_Size | Data for the elm_entry_filter_limit_size() entry filter
C _Elm_Entry_Item_Provider |
C _Elm_Entry_Markup_Filter |
C _Elm_Event_Atspi_Bridge_State_Changed | Data on event when atspi bridge state is changed
C _Elm_Event_Policy_Changed | Data on the event when an Elementary policy has changed
C _Elm_Fileselector_Button_Data |
C _Elm_Fileselector_Custom_Filter |
C _Elm_Fileselector_Data |
C _Elm_Fileselector_Entry_Data |
C _Elm_Fileselector_Filter |
C _Elm_Fileselector_Item_Data |
C _Elm_Flipselector_Data |
C _Elm_Flipselector_Item_Data |
C _Elm_Font_Overlay |
C _Elm_Font_Properties |
C _Elm_Gen_Item_Class | Gengrid or Genlist item class definition
C _Elm_Gen_Item_Class_Functions | Elementary genlist/gengrid callback functions data structure
C _Elm_Gengrid_Data |
C _Elm_Gengrid_Pan_Data |
C _Elm_Genlist_Data |
C _Elm_Genlist_Filter |
C _Elm_Genlist_Pan_Data |
C _Elm_Gesture_Line_Info | Struct holds line info for user
C _Elm_Gesture_Momentum_Info | Struct holds momentum info for user x1 and y1 are not necessarily in sync x1 holds x value of x direction starting point and same holds for y1
C _Elm_Gesture_Rotate_Info | Struct holds rotation info for user
C _Elm_Gesture_Taps_Info | Struct holds taps info for user
C _Elm_Gesture_Zoom_Info | Struct holds zoom info for user
C _Elm_Glview_Data |
C _Elm_Hover_Data |
C _Elm_Hoversel_Data |
C _Elm_Hoversel_Item_Data |
C _Elm_Icon_Data |
C _Elm_Image_Error | Structure associated with smart callback 'download,progress'
C _Elm_Image_Progress | Structure associated with smart callback 'download,progress'
C _Elm_Index_Data |
C _Elm_Index_Item_Data |
C _Elm_Index_Omit |
C _Elm_Inwin_Smart_Data |
C _Elm_Layout_Data |
C _Elm_Layout_Part_Alias_Description | Elementary Layout-based widgets may declare part proxies, i.e., aliases for real theme part names to expose to the API calls:
C _Elm_List_Data |
C _Elm_List_Item_Data |
C _Elm_Map_Data |
C _Elm_Map_Name |
C _Elm_Map_Name_List |
C _Elm_Map_Overlay |
C _Elm_Map_Pan_Data |
C _Elm_Map_Route |
C _Elm_Mapbuf_Data |
C _Elm_Menu_Data |
C _Elm_Menu_Item_Data |
C _Elm_Module |
C _Elm_Multibuttonentry_Data |
C _Elm_Multibuttonentry_Item_Filter |
C _Elm_Naviframe_Content_Item_Pair |
C _Elm_Naviframe_Data |
C _Elm_Naviframe_Item_Data |
C _Elm_Naviframe_Op |
C _Elm_Naviframe_Text_Item_Pair |
C _Elm_Notify_Data |
C _Elm_Palette |
C _Elm_Palette_Color | New palette code - nbot sure if this should be final yet
C _Elm_Pan_Smart_Data |
C _Elm_Panel_Data |
C _Elm_Panel_Scroll_Info | Panel scroll information
C _Elm_Part_Data |
C _Elm_Photo_Data |
C _Elm_Photocam_Error |
C _Elm_Photocam_Progress |
C _Elm_Player_Data |
C _Elm_Popup_Data |
C _Elm_Popup_Item_Data |
C _Elm_Prefs_Data_Event_Changed |
C _Elm_Prefs_Item_Iface | Interface between items of the Prefs widget and the real widgets implementing them
C _Elm_Prefs_Item_Iface_Info | Convenience struct used to mass-register widgets implementing prefs items interfaces
C _Elm_Prefs_Item_Node |
C _Elm_Prefs_Item_Spec |
C _Elm_Prefs_Item_Spec_Bool |
C _Elm_Prefs_Item_Spec_Date |
C _Elm_Prefs_Item_Spec_Float |
C _Elm_Prefs_Item_Spec_Int |
C _Elm_Prefs_Item_Spec_Page |
C _Elm_Prefs_Item_Spec_String |
C _Elm_Prefs_Item_Spec_Void |
C _Elm_Prefs_Page_Iface | Interface between pages of the Prefs widget and the real widgets implementing them
C _Elm_Prefs_Page_Iface_Info | Convenience struct used to mass-register widgets implementing prefs pages interfaces
C _Elm_Prefs_Page_Node |
C _Elm_Route_Data |
C _Elm_Scrollable_Smart_Interface_Data |
C _Elm_Scroller_Data |
C _Elm_Segment_Control_Data |
C _Elm_Segment_Control_Item_Data |
C _Elm_Selection_Data | Structure holding the info about selected data
C _Elm_Separator_Data |
C _Elm_Slider_Data |
C _Elm_Slideshow_Data |
►C _Elm_Slideshow_Item_Class | Member definitions of Elm_Slideshow_Item_Class
C _Elm_Slideshow_Item_Class_Func |
C _Elm_Slideshow_Item_Data |
C _Elm_Spinner_Data |
C _Elm_Spinner_Special_Value |
C _Elm_Store_Item_Info |
C _Elm_Store_Item_Info_Filesystem |
C _Elm_Store_Item_Mapping |
C _Elm_Store_Item_Mapping_Custom |
C _Elm_Store_Item_Mapping_Empty |
C _Elm_Store_Item_Mapping_Icon |
C _Elm_Store_Item_Mapping_Photo |
C _Elm_Sys_Notify_Action_Invoked | Data on event when the action invoked is emitted
C _Elm_Sys_Notify_Notification_Closed | Data on event when notification closed is emitted
C _Elm_Text_Class |
C _Elm_Theme |
C _Elm_Thumb_Data |
C _Elm_Toolbar_Data |
C _Elm_Toolbar_Item_Data |
C _Elm_Toolbar_Item_State | State of a Elm_Toolbar_Item
C _Elm_Validate_Content |
C _Elm_Version |
C _Elm_Web_Callback_Proxy_Context |
C _Elm_Web_Data |
C _Elm_Web_Download |
C _Elm_Web_Frame_Load_Error | Structure used to report load errors
C _Elm_Web_Menu | Structure describing the menu of a popup
C _Elm_Web_Menu_Item | Structure describing the items in a menu
C _Elm_Widget_Item_Data |
C _Elm_Widget_Item_Signal_Data |
C _Elm_Widget_Smart_Data | Base widget smart data
C _Elm_Win_Trap |
C _Elput_Event_Device_Change |
C _Elput_Event_Modifiers_Send |
C _Elput_Event_Seat_Caps |
C _Elput_Event_Seat_Frame |
C _Elput_Event_Session_Active |
C _Elput_Event_Switch |
C _Embryo_Version |
C _Emile_Image_Animated |
C _Emile_Image_Load_Opts |
C _Emile_Image_Property |
C _Emotion_Engine |
C _Emotion_Module_Options |
C _Emotion_Version |
C _Eo_Id_Data |
C _Eo_Id_Entry |
C _Eo_Id_Table_Data |
C _Eo_Ids_Table |
C _Eo_Lexer |
C _Eo_Lexer_Dtor |
C _Eo_Stack_Frame |
C _Eo_Token |
C _Eolian_Class |
C _Eolian_Constant |
C _Eolian_Constructor |
C _Eolian_Doc_Token |
C _Eolian_Documentation |
C _Eolian_Enum_Type_Field |
C _Eolian_Error |
C _Eolian_Event |
C _Eolian_Expression |
C _Eolian_Function |
C _Eolian_Function_Parameter |
C _Eolian_Implement |
C _Eolian_Object |
C _Eolian_Part |
C _Eolian_State |
C _Eolian_State_Area |
C _Eolian_Struct_Type_Field |
C _Eolian_Type |
C _Eolian_Typedecl |
C _Eolian_Unit |
C _Eolian_Value |
C _EPhysics_Body_Material_Props |
C _EPhysics_Quaternion | Quaternion coordinates and rotation (w, x, y, z)
C _Ethumb_Plugin |
C _Ethumb_Version |
C _Evas_Axis |
C _Evas_BiDi_Paragraph_Props |
C _Evas_BiDi_Props |
C _Evas_Cache_Engine_Image |
C _Evas_Cache_Engine_Image_Func |
C _Evas_Cache_Image |
C _Evas_Cache_Image_Func |
C _Evas_Coord_Point | A Point in Evas_Coord
C _Evas_Coord_Precision_Point | A point in Evas_Coord with subpixel precision
C _Evas_Coord_Precision_Size | A size in Evas_Coord with subpixel precision
C _Evas_Coord_Rectangle | A rectangle in Evas_Coord
C _Evas_Coord_Size | A size in Evas_Coord
C _Evas_Cserve_Config | Configuration that controls the server that shares cached bitmaps
C _Evas_Cserve_Image | A handle to an image shared by a server
C _Evas_Cserve_Image_Cache | A handle of a cache of images shared by a server
C _Evas_Cserve_Stats | Statistics about the server that shares cached bitmaps
C _Evas_Engine_Info | Generic engine information
C _Evas_Event_Axis_Update |
C _Evas_Event_Hold | Hold change event
C _Evas_Event_Key_Down | Key press event
C _Evas_Event_Key_Up | Key release event
C _Evas_Event_Mouse_Down | Mouse button press event
C _Evas_Event_Mouse_In | Mouse enter event
C _Evas_Event_Mouse_Move | Mouse move event
C _Evas_Event_Mouse_Out | Mouse leave event
C _Evas_Event_Mouse_Up | Mouse button release event
C _Evas_Event_Mouse_Wheel | Wheel event
C _Evas_Event_Multi_Down | Multi button press event
C _Evas_Event_Multi_Move | Multi button down event
C _Evas_Event_Multi_Up | Multi button release event
C _Evas_Event_Render_Post |
C _Evas_Filter_Data_Binding |
C _Evas_Filter_Padding |
C _Evas_Filter_Proxy_Binding |
C _Evas_Font |
C _Evas_Font_Alias |
C _Evas_Font_Array |
C _Evas_Font_Array_Data |
C _Evas_Font_Description |
C _Evas_Font_Dir |
C _Evas_Font_Glyph_Info |
C _Evas_GL_API | The Evas GL API This structure contains function pointers to the available GL functions
C _Evas_GL_Config | A structure used to specify the configuration of an Evas_GL_Surface
C _Evas_Glyph_Array |
C _Evas_Image_Load_Func |
C _Evas_Image_Load_Opts |
C _Evas_Image_Property |
C _Evas_Module |
C _Evas_Module_Api |
C _Evas_Module_Path |
C _Evas_Native_Scanout |
C _Evas_Native_Surface | A generic datatype for engine specific native surface information
C _Evas_Object_Box_Api | This structure should be used by any smart class inheriting from the box's one, to provide custom box behavior that could not be achieved only by providing a layout function, with evas_object_box_layout_set()
C _Evas_Object_Box_Data | This structure augments clipped smart object's instance data, providing extra members required by generic box implementation
C _Evas_Object_Box_Option | Evas_Object_Box_Option struct fields
C _Evas_Object_Smart_Clipped_Data |
C _Evas_Object_Style_Tag |
C _Evas_Object_Style_Tag_Base |
C _Evas_Object_Textblock_Node_Text |
C _Evas_Pixel_Import_Source |
C _Evas_Point | A point
C _Evas_Position | A position
C _Evas_Precision_Position | A position with precision
C _Evas_Smart_Cb_Description | Describes a callback issued by a smart object (evas_object_smart_callback_call()), as defined in its smart object class
C _Evas_Smart_Class | A smart object's base class definition
C _Evas_Smart_Interface | A smart object's base interface definition
C _Evas_Text_Props |
C _Evas_Text_Props_Info |
C _Evas_Text_Props_One |
C _Evas_Textblock_Node_Format |
C _Evas_Textgrid_Cell | A cell contains a single unicode character, with associated formatting data including style, color, and color palette
C _Evas_Version |
C _Evas_Vg_Dash | Type describing dash
C _Evas_Vg_Gradient_Stop | Type defining gradient stops
C _Evas_Video_Surface |
C _Fash_Glyph |
C _Fash_Glyph_Map |
C _Fash_Glyph_Map2 |
C _Fash_Int |
C _Fash_Int_Map |
C _Fash_Int_Map2 |
C _Fash_Item_Index_Map |
C _Fash_Item_Index_Map_Variations |
C _Fash_Item_variation_Index_Item |
C _Fash_Item_variation_List |
C _Grid |
C _Grid_Item |
C _Item_Block |
C _Item_Cache |
C _Item_Size |
C _Lexer_Ctx |
C _Listing_Request |
C _Mem_Header |
C _Multibuttonentry_Item |
C _Name_Dump |
C _Old_Edje_External_Directory | A structure that stores old external directory entries
C _Old_Edje_File | A structure that stores old Edje files information
C _Old_Edje_Font_Directory | A structure that stores old font directory entries
C _Old_Edje_Image_Directory | A structure that stores old image directory entries
C _Old_Edje_Part | A structure that stores old Edje part information
C _Old_Edje_Part_Collection | A structure that stores old Edje part collection information
C _Old_Edje_Part_Description | A structure that stores old Edje part description information
C _Old_Edje_Part_Description_Spec_Image | A structure that stores old Edje part description image information
C _Overlay_Bubble |
C _Overlay_Circle |
C _Overlay_Class |
C _Overlay_Default |
C _Overlay_Group |
C _Overlay_Line |
C _Overlay_Polygon |
C _Overlay_Route |
C _Overlay_Scale |
C _Part_Item_Iterator |
C _Path |
C _Path_Node |
C _Path_Waypoint |
C _Region |
C _RGBA_Font |
C _RGBA_Font_Glyph |
C _RGBA_Font_Glyph_Out |
C _RGBA_Font_Int |
C _RGBA_Font_Source |
C _Route_Dump |
C _Slice |
C _Source_Name |
C _Source_Route |
C _Source_Tile |
C _Transition_Animation_Data |
C _Vertex2 |
C _Vertex3 |
C Api_Callbacks |
C bq_consumer_listener |
C bq_provider_listener |
C CEnumFormatEtc |
C curl_slist |
C curl_sockaddr |
C curl_version_info_data |
C CURLMsg |
C DataObject |
C dmabuf_attributes |
C DropSource |
C DropTarget |
C dumpinfo |
C Ecore_Animator | Opaque handle to manage Ecore Animator objects
C Ecore_Cocoa_AppDelegate |
C Ecore_Cocoa_Application |
C Ecore_Exe | Opaque handle to manage Ecore Exe objects
C Ecore_Win32_Cursor_X11_Data |
C Ecore_Win32_Monitor |
C ecore_win32_name_keysym |
C Ecore_Wl2_Event_Aux_Message |
C Ecore_Wl2_Event_Data_Source_End |
C Ecore_Wl2_Event_Seat_Keyboard_Repeat_Changed |
C Ecore_Wl2_Event_Seat_Selection |
C Ecore_Wl2_Event_Window_Offscreen |
C Ecore_X_Event_Present_Complete |
C Ecore_X_Event_Present_Configure |
C Ecore_X_Event_Present_Idle |
C Ecore_X_Present |
C EcoreCocoaWindow |
C Efl_Ui_Focus_Graph_Calc_Direction_Result |
C Efl_Ui_Focus_Graph_Calc_Result |
C Efl_Ui_Focus_Graph_Context |
C Efl_Ui_Shared_Win_Data |
C Efreet_Icon | Efreet_Icon
C Efreet_Icon_Point | Efreet_Icon_Point
C Efreet_Icon_Theme | Efreet_Icon_Theme
C Efreet_Icon_Theme_Directory | Efreet_Icon_Theme_Directory
C Efreet_Ini | Efreet_Ini
C Efreet_Menu | Efreet_Menu Stores information on a entry in the menu
C Efreet_Uri | Efreet_Uri
C Efreet_Xml | Efreet_Xml
C Efreet_Xml_Attribute | Efreet_Xml_Attributes
C Eina_Debug_Opcode | Structure to describe information for an opcode
C Eina_Debug_Packet_Header | Header of Eina Debug packet
C Eina_Future | An opaque structure representing a callback to be called when a promise is fulfilled
C Eina_Matrix2 | A 2x2 floating point matrix
C Eina_Matrix3_F16p16 | A 3x3 fixed point (Q16.16) matrix
C Eina_Matrix4 | A 4x4 floating point matrix
C Eina_Promise | An opaque structure representing a piece of data that will be available at a later point
C Eina_Tile_Grid_Info | Grid type of a tiler
C Elm_Cnp_Event_Selection_Changed | Event to notify when a display server's selection has changed Only sent for PRIMARY and CLIPBOARD selections
C Elm_Gen_Item |
C Elm_Gen_Item_Tooltip |
C Elm_Gen_Item_Type |
C Elm_Theme_File |
C Elput_Event_Pointer_Motion |
C Embryo_Float_Cell |
C Eo_Token_Union |
C Eolian_Value_Union |
C epoll_data |
C epoll_event |
C flock | A structure that controls the lock of a file descriptor
C ivi_surface_listener | Application interface to surface in ivi compositor
C linux_dmabuf_buffer |
C MD5Context |
C Pipe |
C Segment |
C sel_data |
C Vis_Segment |
C xdg_popup_listener | Short-lived popup surfaces for menus
C xdg_shell_listener | Create desktop-style surfaces
C xdg_surface_listener | A desktop window
C zwp_e_session_recovery_listener |